lucreate : new request cannot find provider for service

Bernd Rehling brehling at gmx.net
Mon Jan 28 09:19:02 EST 2008


Hello,

I installed Solaris 10 8/07 on Sparc Ultra 60 and fresh it 
worked fine with LiveUpgrade and zones.

Could create a 2nd boot environment (BE) with 'lucreate', 
applied patches, boot with it and same way
back to the original BE.


After patches and working on zones now I'm no longer able
to create 2nd BE:

# lucreate -c my_normal -m /:/dev/dsk/c0t0d0s4:ufs -n my_upgrade
 Discovering physical storage devices
 Discovering logical storage devices
 Cross referencing storage devices with boot environment configurations
 
... causes a core file.


With the "-l" option I got message in error log:
 "new request cannot find provider for service=<getLogicalDeviceList>"


In core-file:

# adb /core
 core file = /core -- program ``/etc/lib/lu/plugins/lupi_bebasic'' on  platform SUNW,Ultra-60
 SIGSEGV: Segmentation Fault

# pstack /core
 core '/core' of 1544:   /etc/lib/lu/plugins/lupi_bebasic plugin
  ff1b18a0 strcmp   (0, 2875c, 4a8dc, ff38e360, ff38e364, 3) + 160
  ff31a120 lu_beoCrossRefDevlst (4580c, 2875c, 0, 4a8dc, 6d6e0, 0) + 1f0
  00013340 ???????? (26664, 0, 28374, 0, 3e36c, 3e36c)
  ff3337c4 _lu_pluginProcessRequest (26664, ffbff034, 3e36c, ffbfeb60, 3d0ec, 5401c) + 1cc
  ff332f74 _lu_pluginProcessMainTag (26664, ffbff034, 3e36c, 2000, 547a4, 63) + 104
  ff332dac _lu_pluginProcessTag (26664, 2000, 3e36c, 21e4, 2000, ff38dcb8) + 218
  ff334310 _lu_pluginProcessLoop (26664, 2410, 0, 2414, ff387620, 0) + 20c
  ff332558 lu_pluginProcessLoop (26664, 20ec, 550f8, 259a4, ff387620, 2000) + 3c
  00011d10 main     (25c00, 25c00, 12c00, 25c00, 25c00, 14800) + 230
  00011ac8 _start   (0, 0, 0, 0, 0, 0) + 108


Any ideas ?


Best Regards,

Bernd

-- 
GMX FreeMail: 1 GB Postfach, 5 E-Mail-Adressen, 10 Free SMS.
Alle Infos und kostenlose Anmeldung: http://www.gmx.net/de/go/freemail


More information about the sunmanagers mailing list